#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP     = $(CURDIR)/debian/$(PACKAGE)
MANDIR  = $(TMP)/usr/share/man/man3

%:
	dh $@

override_dh_clean:
	rm -rf t/mason*
	dh_clean

override_dh_auto_test:
	dh_auto_test -- TEST_FILES="t/t/00-test-setup.t t/t/01-basic.t"

override_dh_auto_install:
	dh_auto_install
	# remove man fragments
	$(RM) \
		$(MANDIR)/Jifty::Plugin::OAuth::Action::AuthorizeRequestToken.3pm \
		$(MANDIR)/Jifty::Plugin::OAuth::Dispatcher.3pm \
		$(MANDIR)/Jifty::Plugin::OAuth::Model::AccessToken.3pm \
		$(MANDIR)/Jifty::Plugin::OAuth::Model::Consumer.3pm \
		$(MANDIR)/Jifty::Plugin::OAuth::Model::RequestToken.3pm \
		$(MANDIR)/Jifty::Plugin::OAuth::Token.3pm
